Loading...
Searching...
No Matches
ArrayBase.h File Reference
`#include "IPosition.h"`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::ArrayBase
| Non-templated base class for templated Array class. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Enumerations

enum | casacore::StorageInitPolicy { casacore::COPY , casacore::TAKE_OVER , casacore::SHARE }
| More...

## Functions

size_t | casacore::ArrayVolume (size_t Ndim, const int *Shape)
| General global functions for Arrays.
size_t | casacore::ArrayIndexOffset (size_t Ndim, const ssize_t *Shape, const ssize_t *Origin, const ssize_t *Inc, const IPosition &Index)
| What is the linear index into an "Ndim" dimensional array of the given "Shape", "Origin", and "Increment" for a given IPosition Index.
size_t | casacore::ArrayIndexOffset (size_t Ndim, const ssize_t *Shape, const ssize_t *Inc, const IPosition &Index)
void | casacore::throwArrayShapes (const IPosition &shape1, const IPosition &shape2, const char *name)
| Function to check the shapes.
void | casacore::checkArrayShapes (const ArrayBase &left, const ArrayBase &right, const char *name)